#NoEnv
#SingleInstance, force
#Persistent
SendMode Input
SetWorkingDir %A_ScriptDir%
Menu, Tray, Icon, %A_WorkingDir%\icons\resize.png ,, 1 ; icon

#installKeybdHook
TrayTip, %A_ScriptName%, Started, 1

^+F8:: ; Get window stats to create more presets below
WinGetActiveStats, winT, winW, winH, winX, winY
WinGetClass, class, A
MsgBox, 
(
- TITLE
%winT%

- DIMENSIONS
%winW%  x  %winH%
)
return

^F10::ResizeWin(956,719) ; Ctrl+F10 1:1 @600px x 600px
^F9::ResizeWin(1156,719) ; Ctrl+F9 4:3 @800px x 600px
^F8::ResizeWin(1156,569) ; Ctrl+F8 16:9 @800px x 450px
^F7::ResizeWin(1301,524) ; Ctrl+F7 21:9 @945px x 405px

^!Lbutton:: ; ctrl+alt+Lbutton to toggle always on top
WinGet, currentWindow, ID, A
WinGet, ExStyle, ExStyle, ahk_id %currentWindow%
if (ExStyle & 0x8)  ; 0x8 is WS_EX_TOPMOST.
{
   Winset, AlwaysOnTop, off, ahk_id %currentWindow%
}
else
{
   WinSet, AlwaysOnTop, on, ahk_id %currentWindow%
}
return

ResizeWin(Width = 0,Height = 0)
{
  WinGetPos,X,Y,W,H,A
  If %Width% = 0
    Width := W
  If %Height% = 0
    Height := H
  WinMove,A,,%X%,%Y%,%Width%,%Height%
}

;-----------------------------
;Collapse titlebar
LWIN & LButton::
WinSet, Style, -0xC00000, A
return

;Uncollapse titlebar
LWIN & RButton::
WinSet, Style, +0xC00000, A
return
;-----------------------------


Gui, +ToolWindow +AlwaysOnTop -SysMenu -Caption +Border
Gui, Color, cCCCCCC
SetTimer, Draw, 100 

Draw:
MouseGetPos, MouseX, MouseY, MouseWin ; get mouse coords/window
WinActivate, %MouseWin%

WinGetActiveStats, Title, WinW, WinH, WinX, WinY ; get the stats of the active window

; variables
DrawW := (WinW)
DrawH := (WinH)
DrawX := (WinX - 1)
DrawY := (WinY - 1) 

; show the gui
Gui, Show, NoActivate w%DrawW% h%DrawH% x%DrawX% y%DrawY%, Draw
WinSet, TransColor, CCCCCC, Draw
return